from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XXPathAPI(XInterface, Protocol):
    def registerNS(self, prefix: str, url: str) -> None: ...
    def unregisterNS(self, prefix: str, url: str) -> None: ...
    def registerExtension(self, serviceName: str) -> None: ...
    def registerExtensionInstance(self, aExtension: XXPathExtension) -> None: ...
